summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2007-11-20 18:38:24 +0100
committerDan McGee <dan@archlinux.org>2007-12-21 18:05:38 +0100
commit741fa316038eb0307e4aaffcac05eaa36303ead9 (patch)
tree2f80987844a4a8ec814abf5f7bb5d3de492f2c0d
parentc0845db8f7cc3f0fbf9bfadbdbb30b0acc96c242 (diff)
downloadpacman-741fa316038eb0307e4aaffcac05eaa36303ead9.tar.gz
pacman-741fa316038eb0307e4aaffcac05eaa36303ead9.tar.xz
Remove abs from the pacman repository
abs has always been an Arch Linux specific tool, and although it is used primarily by pacman and makepkg, it should not be included with a distro- agnostic tarball. In addition, maintenance of the script would be better outside of pacman and would allow for more frequent updates. This also facilitates our move away from a cvsup/csup dependent tool for syncing PKGBUILDs. Signed-off-by: Dan McGee <dan@archlinux.org>
-rw-r--r--configure.ac19
-rw-r--r--etc/Makefile.am4
-rw-r--r--etc/abs/Makefile.am20
-rw-r--r--etc/abs/abs.conf13
-rw-r--r--etc/abs/supfile.community15
-rw-r--r--etc/abs/supfile.core15
-rw-r--r--etc/abs/supfile.extra15
-rw-r--r--etc/abs/supfile.testing16
-rw-r--r--etc/abs/supfile.unstable15
-rw-r--r--po/POTFILES.in1
-rw-r--r--scripts/.gitignore1
-rw-r--r--scripts/Makefile.am6
-rw-r--r--scripts/abs.sh.in171
13 files changed, 1 insertions, 310 deletions
diff --git a/configure.ac b/configure.ac
index 9a5f3b3e..bed26cfd 100644
--- a/configure.ac
+++ b/configure.ac
@@ -113,11 +113,6 @@ AC_ARG_ENABLE(debug,
AC_HELP_STRING([--enable-debug], [enable debugging support]),
[debug=$enableval], [debug=no])
-# Help line for abs
-AC_ARG_ENABLE(abs,
- AC_HELP_STRING([--disable-abs], [do not include Arch Linux Build System script]),
- [includeabs=$enableval], [includeabs=yes])
-
# Help line for pacman.static
AC_ARG_ENABLE(pacman-static,
AC_HELP_STRING([--disable-pacman-static], [do not build static version of pacman]),
@@ -273,17 +268,7 @@ else
CFLAGS="$CFLAGS -Wall"
fi
-# Enable or disable inclusion of abs script
-AC_MSG_CHECKING(for inclusion of abs script)
-if test "x$includeabs" = "xyes" ; then
- AC_MSG_RESULT(yes)
- AC_DEFINE([INCLUDE_ABS], , [Include abs script])
-else
- AC_MSG_RESULT(no)
-fi
-AM_CONDITIONAL(INCLUDE_ABS, test "x$includeabs" = "xyes")
-
-# Enable or disable inclusion of abs script
+# Enable or disable inclusion of pacman.static
AC_MSG_CHECKING(whether to build pacman.static)
if test "x$pacmanstatic" = "xyes" ; then
AC_MSG_RESULT(yes)
@@ -315,7 +300,6 @@ scripts/Makefile
doc/Makefile
etc/Makefile
etc/pacman.d/Makefile
-etc/abs/Makefile
po/Makefile.in
pactest/Makefile
contrib/Makefile
@@ -355,7 +339,6 @@ pacman_display_version:
Doxygen support : ${usedoxygen}
Asciidoc support : ${useasciidoc}
debug support : ${debug}
- include abs : ${includeabs}
build pacman.static : ${pacmanstatic}
"
diff --git a/etc/Makefile.am b/etc/Makefile.am
index 2cff0150..6fa7d98c 100644
--- a/etc/Makefile.am
+++ b/etc/Makefile.am
@@ -1,9 +1,5 @@
SUBDIRS = pacman.d
-if INCLUDE_ABS
-SUBDIRS += abs
-endif
-
dist_sysconf_DATA = makepkg.conf pacman.conf
EXTRA_DIST = makepkg.conf.in pacman.conf.in
diff --git a/etc/abs/Makefile.am b/etc/abs/Makefile.am
deleted file mode 100644
index b6b64f03..00000000
--- a/etc/abs/Makefile.am
+++ /dev/null
@@ -1,20 +0,0 @@
-EXTRA_DIST = \
- abs.conf \
- supfile.community \
- supfile.core \
- supfile.extra \
- supfile.testing \
- supfile.unstable
-
-install-data-hook:
- mkdir -p $(DESTDIR)$(sysconfdir)/abs ; \
- for j in $(EXTRA_DIST); do \
- $(INSTALL) -c -m 644 $(srcdir)/$$j $(DESTDIR)$(sysconfdir)/abs/$$j ; \
- done
-
-uninstall-hook:
- for j in $(EXTRA_DIST); do \
- rm -f $(DESTDIR)$(sysconfdir)/abs/$$j ; \
- done
-
-# vim:set ts=2 sw=2 noet:
diff --git a/etc/abs/abs.conf b/etc/abs/abs.conf
deleted file mode 100644
index 782b269b..00000000
--- a/etc/abs/abs.conf
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# /etc/abs/abs.conf
-#
-
-# the top-level directory of all your PKGBUILDs
-[ "$ABSROOT" = "" ] && ABSROOT="/var/abs/"
-
-#
-# Supfiles to be parsed by abs (in this order)
-# (prefix a module with a ! to disable it)
-#
-SUPFILES=(core extra !unstable !community !testing)
-
diff --git a/etc/abs/supfile.community b/etc/abs/supfile.community
deleted file mode 100644
index 6565ea50..00000000
--- a/etc/abs/supfile.community
+++ /dev/null
@@ -1,15 +0,0 @@
-#
-# supfile.community
-#
-
-# this is the host containing the community PKGBUILD files
-*default host=cvs.archlinux.org
-
-*default release=cvs
-*default delete
-*default use-rel-suffix
-*default compress
-#*default umask=002
-
-*default tag=CURRENT
-community
diff --git a/etc/abs/supfile.core b/etc/abs/supfile.core
deleted file mode 100644
index 2e052bce..00000000
--- a/etc/abs/supfile.core
+++ /dev/null
@@ -1,15 +0,0 @@
-#
-# supfile.core
-#
-
-# this is the host containing the core PKGBUILD files
-*default host=cvs.archlinux.org
-
-*default release=cvs
-*default delete
-*default use-rel-suffix
-*default compress
-#*default umask=002
-
-*default tag=CURRENT
-core
diff --git a/etc/abs/supfile.extra b/etc/abs/supfile.extra
deleted file mode 100644
index 3f69a7b5..00000000
--- a/etc/abs/supfile.extra
+++ /dev/null
@@ -1,15 +0,0 @@
-#
-# supfile.extra
-#
-
-# this is the host containing the extra PKGBUILD files
-*default host=cvs.archlinux.org
-
-*default release=cvs
-*default delete
-*default use-rel-suffix
-*default compress
-#*default umask=002
-
-*default tag=CURRENT
-extra
diff --git a/etc/abs/supfile.testing b/etc/abs/supfile.testing
deleted file mode 100644
index 70fc6551..00000000
--- a/etc/abs/supfile.testing
+++ /dev/null
@@ -1,16 +0,0 @@
-#
-# supfile.testing
-#
-
-# this is the host containing the testing PKGBUILD files
-*default host=cvs.archlinux.org
-
-*default release=cvs
-*default delete
-*default use-rel-suffix
-*default compress
-#*default umask=002
-
-*default tag=TESTING
-core
-extra
diff --git a/etc/abs/supfile.unstable b/etc/abs/supfile.unstable
deleted file mode 100644
index d567313d..00000000
--- a/etc/abs/supfile.unstable
+++ /dev/null
@@ -1,15 +0,0 @@
-#
-# supfile.unstable
-#
-
-# this is the host containing the unstable PKGBUILD files
-*default host=cvs.archlinux.org
-
-*default release=cvs
-*default delete
-*default use-rel-suffix
-*default compress
-#*default umask=002
-
-*default tag=CURRENT
-unstable
diff --git a/po/POTFILES.in b/po/POTFILES.in
index 0f46f122..359a8041 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -13,7 +13,6 @@ src/pacman/sync.c
src/pacman/util.c
# scripts with gettext translations
-scripts/abs.sh.in
scripts/gensync.sh.in
scripts/makepkg.sh.in
scripts/pacman-optimize.sh.in
diff --git a/scripts/.gitignore b/scripts/.gitignore
index 17a2a41e..7164b9fa 100644
--- a/scripts/.gitignore
+++ b/scripts/.gitignore
@@ -1,4 +1,3 @@
-abs
gensync
makepkg
makeworld
diff --git a/scripts/Makefile.am b/scripts/Makefile.am
index 01250f5b..175ddd17 100644
--- a/scripts/Makefile.am
+++ b/scripts/Makefile.am
@@ -11,12 +11,7 @@ bin_SCRIPTS = \
repo-remove \
updatesync
-if INCLUDE_ABS
-bin_SCRIPTS += abs
-endif
-
EXTRA_DIST = \
- abs.sh.in \
gensync.sh.in \
makepkg.sh.in \
makeworld.sh.in \
@@ -54,7 +49,6 @@ $(bin_SCRIPTS): Makefile
chmod a-w $@.tmp
mv $@.tmp $@
-abs: $(srcdir)/abs.sh.in
gensync: $(srcdir)/gensync.sh.in
makepkg: $(srcdir)/makepkg.sh.in
makeworld: $(srcdir)/makeworld.sh.in
diff --git a/scripts/abs.sh.in b/scripts/abs.sh.in
deleted file mode 100644
index 79f2aef0..00000000
--- a/scripts/abs.sh.in
+++ /dev/null
@@ -1,171 +0,0 @@
-#!/bin/bash -e
-#
-# abs - download a PKGBUILD tree from a CVS repository
-# @configure_input@
-#
-# Copyright (c) 2002-2007 by Judd Vinet <jvinet@zeroflux.org>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-#
-
-##
-# Script Exit Reasons
-# -------------------
-# E_OK : Everything worked :)
-# E_MISSING_PROGRAM : A program the script depends on is not installed.
-# E_CONFIG_ERROR : Missing/incorrect configuration.
-# E_INVALID_OPTION : User has passed unknown/invalid option to script.
-##
-
-# gettext initialization
-export TEXTDOMAIN='pacman'
-export TEXTDOMAINDIR='@localedir@'
-
-myver='@PACKAGE_VERSION@'
-BUG_REPORT_EMAIL='@PACKAGE_BUGREPORT@'
-CONFDIR="@sysconfdir@/abs"
-PASSIVE='m'
-
-# Source config files
-if [ -r "$CONFDIR/abs.conf" ]; then
- source "$CONFDIR/abs.conf"
-fi
-
-# User based overrides
-if [ -r ~/.abs.conf ]; then
- source ~/.abs.conf
-fi
-
-
-msg() {
- local mesg=$1; shift
- printf "==> ${mesg}\n" "$@" >&2
-}
-
-error() {
- local mesg=$1; shift
- printf "==> $(gettext "ERROR:") ${mesg}\n" "$@" >&2
-}
-
-
-usage() {
- printf "$(gettext "abs (pacman) %s - download a PKGBUILD tree from a CVS repository")\n\n" "$myver"
- printf "$(gettext "Usage %s [options] [repository...]")\n\n" "$0"
- printf "$(gettext "Options:")\n"
- printf "$(gettext " -p, --passive The connection is opened in passive mode.")\n"
- echo
- printf "$(gettext " -h, --help Display this help message then exit.")\n"
- printf "$(gettext " -V, --version Display version information then exit.")\n"
- echo
- printf "$(gettext "\
-abs will synchronize build scripts from the CVS repository\n\
-into %s. You can follow different package trees by\n\
-editing %s files. If no argument is given, abs\n\
-will synchronize from supfiles specified in %s.\n\n")" \
- "$ABSROOT" "$CONFDIR/supfile.*" "$CONFDIR/abs.conf"
- printf "$(gettext "Report bugs to <%s>.")\n" "$BUG_REPORT_EMAIL"
-}
-
-version() {
- printf "abs (pacman) %s\n" "$myver"
- printf "$(gettext "\
-Copyright (C) 2002-2007 Judd Vinet <jvinet@zeroflux.org>.\n\n\
-This is free software; see the source for copying conditions.\n\
-There is NO WARRANTY, to the extent permitted by law.\n")"
-}
-
-
-##
-# Signal Traps
-##
-trap 'error "$(gettext "TERM signal caught. Exiting...")"; exit 1' TERM HUP QUIT
-trap 'error "$(gettext "Aborted by user! Exiting...")"; exit 1' INT
-trap 'error "$(gettext "An unknown error has occured. Exiting...")"; exit 1' ERR
-
-
-# Parse Command Line Options.
-OPT_SHORT="hpV"
-OPT_LONG="help,passive,version"
-OPT_TEMP="$(getopt -o "$OPT_SHORT" -l "$OPT_LONG" -n "$(basename "$0")" -- "$@" || echo 'GETOPT GO BANG!')"
-if echo "$OPT_TEMP" | grep -q 'GETOPT GO BANG!'; then
- # This is a small hack to stop the script bailing with 'set -e'
- echo; usage; exit 1 # E_INVALID_OPTION;
-fi
-eval set -- "$OPT_TEMP"
-unset OPT_SHORT OPT_LONG OPT_TEMP
-
-while true; do
- case "$1" in
- -p|--passive) PASSIVE='-';;
-
- -h|--help) usage; exit 0;; # E_OK
- -V|--version) version; exit 0;; # E_OK
-
- --) OPT_IND=0; shift; break;;
- *) usage; exit 1;; # E_INVALID_OPTION
- esac
- shift
-done
-
-if [ $# -gt 0 ]; then
- SUPFILES=("$@")
-fi
-
-
-# Check permissions and programs.
-if [ ! -d "$ABSROOT" ]; then
- error "$(gettext "%s does not exist or is not a directory.")" "$ABSROOT"
- exit 1 # E_CONFIG_ERROR
-elif [ ! -w "$ABSROOT" ]; then
- error "$(gettext "You do not have write permissions in %s.")" "$ABSROOT"
- exit 1 # E_CONFIG_ERROR
-fi
-
-
-if [ "$(type -p csup)" ]; then
- CVSUP="csup"
-elif [ "$(type -p cvsup)" ]; then
- CVSUP="cvsup"
-else
- error "$(gettext "Missing CVS synchronization utility. Install csup or cvsup.")"
- exit 1 # E_MISSING_PROGRAM
-fi
-
-
-# Begin script.
-for sup in ${SUPFILES[@]}; do
- case "$sup" in
- testing)
- if [ ! -d "$ABSROOT/$sup" ]; then
- mkdir "$ABSROOT/$sup"
- fi
- workdir="$ABSROOT/$sup"
- ;;
-
- *)
- if [ "$sup" != "${sup#!}" ]; then
- continue
- fi
- workdir="$ABSROOT"
- ;;
- esac
-
- msg "$(gettext "Updating %s...")" "$sup"
- cd "$workdir"
- $CVSUP -L 1 -r 0 -g -b "$workdir" -P "$PASSIVE" -c .sup "$CONFDIR/supfile.$sup"
-done
-
-exit 0 # E_OK
-
-# vim: set ts=2 sw=2 noet: